Bug 500246 - Pre-Review Request: plexus-classworlds - Plexus Classworlds Classloader Framework
Pre-Review Request: plexus-classworlds - Plexus Classworlds Classloader Frame...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 17:56 EDT by Fernando Nasser
Modified: 2009-08-20 11:23 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 11:23:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 17:56:35 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/plexus-classworlds.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/plexus-classworlds-1.2-0.a9.5.jpp6.src.rpm

Description: 
Classworlds is a framework for container developers
who require complex manipulation of Java's ClassLoaders.
Java's native ClassLoader mechanims and classes can cause
much headache and confusion for certain types of
application developers. Projects which involve dynamic
loading of components or otherwise represent a 'container'
can benefit from the classloading control provided by
classworlds.
Comment 1 Andrew Overholt 2009-05-14 09:43:09 EDT
- I think the license field should be ASL 2.0 and not "Apache Software License 2.0" but see my last comment
- there are 3 source files (plexus-classworlds-1.2-build.xml, plexus-classworlds-settings.xml, plexus-classworlds-1.2-jpp-depmap.xml) that do not have URLs
- the md5sums of the tarball that's in the SRPM and the one that I generate are not equal but a recursive diff of the exploded contents shows not differences so I assume timestamps are the issue
- I don't know what license this is.  spot, can you please take a look?

http://overholt.fedorapeople.org/plexus-classworlds-license.txt
Comment 2 Tom "spot" Callaway 2009-05-14 09:51:04 EDT
This package's naming is in violation of the Fedora Packaging Guidelines. Please see: http://fedoraproject.org/wiki/Packaging/JPackagePolicy

Basically, the "jpp" tag needs to be removed.
Comment 3 Tom "spot" Callaway 2009-05-14 09:52:04 EDT
Nevermind, looks like it is removed from the spec, but somehow made it into the SRPM... weird.
Comment 4 Andrew Overholt 2009-05-14 09:57:52 EDT
I don't see naming guidelines on:

https://fedoraproject.org/wiki/User:Toshio/Pre-review_Guidelines
Comment 5 Tom "spot" Callaway 2009-05-14 10:01:14 EDT
Yeah, they're not there for this "pre-review", but it is worth pointing out that it would cause an issue at final review. If the issue was there, which it doesn't seem to be. I'm not sure how the SRPM ended up with the "jpp" tag when the spec inside it doesn't have it.
Comment 6 Andrew Overholt 2009-05-14 10:21:33 EDT
Any comment about the license, spot?
Comment 7 Tom "spot" Callaway 2009-05-14 10:32:40 EDT
So, on an initial look, it looks like an Apache 1.1 derived license. I'm waiting on Red Hat Legal for some final details before I can properly answer.
Comment 8 Tom "spot" Callaway 2009-05-14 15:29:59 EDT
License is free, but GPL incompatible. For this package, use:

License: ASL 2.0 and Plexus
Comment 9 Fernando Nasser 2009-05-14 22:27:48 EDT
The 3 files plexus-classworlds-1.2-build.xml,
plexus-classworlds-settings.xml, plexus-classworlds-1.2-jpp-depmap.xml are written for this RPM so they have no upstream URL (only needed for the rpmbuild).

As for the license, I guess it has to be changed for all plexus-* RPMs, so we will have to recreate/reupload all plexus-* srpms.

P.S.: The dist tag expands to different things depending on where you run rpmbuild, so it will take its desired value when rebuilt in Koji.

Regards!
Comment 11 Andrew Overholt 2009-05-15 09:56:51 EDT
Thanks, Fernando.

I'd still like to see some comments about the XML source files stating that they're only for building but that's a Review thing :)

I'm okay with the latest SRPM for pre-review.  I'm going to set the review flag but someone please change it if that is incorrect.
Comment 12 Fernando Nasser 2009-05-15 11:51:47 EDT
Requested CVS.
Comment 13 Kevin Fenzi 2009-05-15 19:58:01 EDT
Can you add a cvs template here so I know what you need?

Reset the cvs flag when ready.
Comment 14 Fernando Nasser 2009-05-17 21:36:18 EDT
New Package CVS Request
=======================
Package Name: plexus-classworlds
Short Description: Plexus Classworlds Classloader Framework
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 15 Kevin Fenzi 2009-05-18 00:23:35 EDT
cvs done.
Comment 16 Andrew Overholt 2009-08-20 11:23:59 EDT
Built in rawhide:

http://koji.fedoraproject.org/koji/taskinfo?taskID=1617781

(Full review was bug #518310)

Note You need to log in before you can comment on or make changes to this bug.